//  This file is part of jdl_parser.
//
//  jdl_parser is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  jdl_parser is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with jdl_parser.  If not, see <http://www.gnu.org/licenses/>.

// Copyright Simone Pellegrini 2007-2008; e-mail: motonacciu@gmail.com

#ifndef JDL_PARSER_DEFS_HPP_
#define JDL_PARSER_DEFS_HPP_

#include <iostream>
#include <vector>
#include <string>
#include <exception>
#include <stdexcept>
#include <fstream>
#include <cassert>
#include <cstdio>
#include <cstdlib>
#include <numeric>
#include <map>

#include <logger/logger.hpp>

#include <boost/lexical_cast.hpp>
#include <boost/shared_ptr.hpp>

using namespace logger;
using namespace std;

namespace jdl{
	class component; 

	class visitor;

	class const_visitor;
}

namespace graph{
	class node; 

	class visitor;

	class const_visitor;
}
#endif /*JDL_PARSER_DEFS_HPP_*/
